﻿@model EmailViewModel

@{
    ViewData["Title"] = "ListAllEmails";
}

<h2>All Emails</h2>
<div id="modal_holder"></div>
<table id="table_id" class="table table-bordered table-condensed">
    <thead class="alert-warning">
        <tr>
            <th>ID</th>
            <th style="width:33%">Subject</th>
            <th style="width:14%">CreatedOn</th>
            <th style="width:20%">Sender</th>
            <th>Status</th>
            <th>Attachment</th>
            <th style="width:10%">Details</th>
        </tr>
    </thead>
    <tfoot class="alert-warning">
        <tr>
            <th>ID</th>
            <th>Subject</th>
            <th>CreatedOn</th>
            <th>Sender</th>
            <th>Status</th>
            <th>Attachment</th>
            <th>Details</th>
        </tr>
    </tfoot>
</table>

<!-- Modal -->
<div class="modal fade" id="myModalNorm" tabindex="-1" role="dialog"
     aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
            </div>
            <!-- Modal Body -->
            <div class="modal-body"></div>
            <!-- Modal Footer -->
            <div class="modal-footer">
            </div>
        </div>
    </div>
</div>


@section Scripts
    {

    <link rel="stylesheet" type="text/css" href="~/lib/DataTables/datatables.css">
    <script type="text/javascript" language="javascript" src="~/lib/DataTables/datatables.js"></script>
    <script src="~/js/site.js"></script>

    <script type="text/javascript" class="init">

        var table = $('#table_id').DataTable({
            "ordering": false,
            "processing": true,
            "serverSide": true,
            "ajax": {
                "url": "@Url.Action("ListAllEmails", "AllEmails")",
                "type": 'POST',
                "dataType": "JSON",
            },

            "columns": [
                { "data": "Id" },
                { "data": "Subject" },
                { "data": "CreatedOn" },
                { "data": "MediatorEmail" },
                { "data": "EmailStatusType" },
                { "data": "EmailAttachmentsCount",
                    "render": function (data, type, row) {

                        if (row.EmailAttachmentsCount > 0) {
                            return '<img src="/images/image.png" style="width:30px" />';
                        } else {
                            return 'no attachments'
                        }
                    }
                },
                {
                    "render": function (data, type, email, meta) {
                        return '<button class="details; alert-warning" data-toggle="modal" data-target="#myModalNorm" data-emailid="' + email.Id + '">See more</button>';
                    }
                }
            ]
        });

        $('#myModalNorm').on('shown.bs.modal', function (e) {
            console.log(e);
            var $modal = $(this);
            $body = $modal.find(".modal-body");
            var emailId = $(e.relatedTarget).data('emailid');
            var url = "/AllEmails/Details/" + emailId;
            $.get(url)
                .done(function (responseData) {
                    $body.html(responseData);
                    $('#New').data('emailId', emailId);
                    $('#Open').data('emailId', emailId);
                    $('#Closed').data('emailId', emailId);
                    $('#NotReviewed').data('emailId', emailId);
                    $('#NotValid').data('emailId', emailId);
                })
        })
    </script>
}